/*------------------------------------------------------------------------------
hardware.h

Version: April 2007

Dependencies: None

Description:
This example header file contains hardware specific defines for the uPSD3400 processor being used.
This is a (partial) substitute for the file upsd3400_hardware.h supplied by ST Microelectronics
for the DK3400 development system

------------------------------------------------------------------------------*/
// Identify processor in use 3422/33/34/54
#define uPSD 3422

//Hardware MCU specific settings
#define FREQ_OSC  	20000       // uPSD MCU Oscillator Freq. in KHz (not MHz)
#define uPSD_5V         1           // uPSD_5V = 1  --> 5V device
                                    // uPSD_5V = 0  --> 3V device    


// Memory map settings:
// These settings must match up with the settings in the associated PSDsoft
// project for proper execution of the code as well as the Physical Hardware.
// Note: Also the settings in the Complier IDE tool must match as well.

#define PSD_REG_ADDR    0x7F00          // uPSD PSD Register I/O base addr
                                        // (PSDsoft CSIOP value)

#define XMEM_BASE_ADDR  0x0000          // XDATA base address (PSDsoft RS0 value)

// Generate memory sizing parameters for recognised CPU models
#if uPSD == 3422
	#define XMEM_LENGTH     0x1000          // XDATA length 4KB
#elif uPSD == 3454
	#define XMEM_LENGTH     0x8000          // XDATA length 32KB
#else
	#define XMEM_LENGTH     0x2000          // XDATA length 8KB
#endif

#if uPSD <= 3433
	#define uPSD_MAIN_SECTOR_SIZE   0x4000	// Main Sector size = 16KB
#else
	#define uPSD_MAIN_SECTOR_SIZE   0x8000	// Main Sector size = 32KB
#endif

#define uPSD_BOOT_SECTOR_SIZE   0x2000		// Boot Sector size = 8KB

#if uPSD == 3422
	#define uPSD_MAIN_SECTORS       0x04	// Number of Main sectors = 4 
#else
	#define uPSD_MAIN_SECTORS       0x08	// Number of Main sectors = 8
#endif

#define uPSD_BOOT_SECTORS       0x04		// Number of Boot sectors = 4



